> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all locations

> Retrieves a paginated list of all locations



## OpenAPI

````yaml oms_v2_combined get /location
openapi: 3.0.1
info:
  title: Orders v2 (OMS v2)
  description: >-
    fabric's OMS v2 APIs are high performance endpoints are built on highly
    scalable architecture, and include a configurable data model to orchestrate
    the order fulfillment process. These APIs let merchants create order
    records, initiate post-order process workflows and manage order related data
    such as, invoicing, tracking, returns, exchange, cancellation, appeasements,
    backorders, shipment and other use cases.
  termsOfService: https://fabric.inc/terms-of-use
  contact:
    email: support@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
  version: 2.0.0
servers:
  - url: https://prod01.oms.fabric.inc/api/v2
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Allocation
    description: Endpoints to perform allocation operations
  - name: Appeasement
    description: >-
      Appeasement refers to a goodwill credit applied to a fulfilled order when
      customer faces difficulties for an order, for example late delivery,
      received damaged product, and like wise.  This endpoint help in creating
      appeasement for customer orders.
  - name: Package Tracking
    description: Package Tracking endpoint helps in performing package tracking operations
  - name: Payment Status
    description: This endpoint helps in retrieving payment status for an order
  - name: Order Cancellation
    description: These endpoints help in performing order cancellation operations
  - name: Order
    description: >-
      An order is a customer's request to purchase one or more products from a
      shop or from a website. Order endponts let merchants get order details,
      create, update, and delete orders.
  - name: Order Attribute
    description: These endpoints help in performing attribute operations for an order
  - name: Order Return
    description: These endpoints help in performing order Return operations
  - name: Cross Border
    description: >-
      Cross Border service provides capabilities related to orders that have
      international shipping. These endpoints help in performing cross border
      operations.
  - name: BackOrder PreOrder Reservation
    description: >-
      These Endpoints help in performing BackOrder PreOrder Reservation
      operations
  - name: Configuration
    description: >-
      These endpoints help in performing CRUD operations on tenant
      configurations
  - name: Target Configuration
    description: >-
      These endpoints help in performing CRUD operations on Target
      configurations
  - name: Fraud Configuration
    description: These endpoints help in performing CRUD operations on Fraud configurations
  - name: Fraud
    description: These endpoints help in managing fraud release and cancel operation
  - name: Export
    description: These endpoints help in performing export operations
  - name: Inventory Network
    description: >-
      Network refers to a group of locations having a group of SKUs in each
      location. Network endpoints let you read, create, and manage an
      inventory-network by location, brand, or any other custom attributes.
  - name: Inventory
    description: >-
      These endpoints let you read, create and bulk update inventory across all
      locations.
  - name: Inventory Upload Log
    description: These endpoints let you view the record of the inventory uploads.
  - name: Inventory Bulk Operation
    description: >-
      Bulk Operation endpoints let you upload and download inventory details, in
      bulk, using a  CSV file to and from AWS (Amazon Web Service) server
      presigned S3 URL that is generated from the Order service.
  - name: Inventory Attribute
    description: >-
      Attribute refers to a set of characteristics that define inventory.
      Attribute endpoints let you create, read, update, and delete inventory
      attributes at any hierarchy level (location, SKU, item, channel) or at
      counter level.
  - name: Inventory Counter
    description: >-
      Counter refers to inventory positions such as, available, in-transit,
      on-hand, or other custom positions. These endpoints let you read, update,
      and create custom counters that suit your business use case.
  - name: Invoice
    description: These endpoints help in generating the invoices
  - name: List
    description: To create and manage lists
  - name: Location
    description: Location endpoints let you create, read, update, and delete location.
  - name: Location Attribute
    description: >-
      Location attribute endpoints let you create, read, update, and delete
      location attributes. These location attributes are used while creating or
      updating locations. When the attribute is configured  as required, it is
      mandatory to add the attribute while creating location.
  - name: Shipment
    description: To provides real time update of shipments
  - name: Shipping Method
    description: Endpoints to perform operations related to shipping methods
  - name: Webhook
    description: >-
      These endpoints help in performing CRUD operations on webhook
      subscriptions
paths:
  /location:
    get:
      tags:
        - Location
      summary: Get all locations
      description: Retrieves a paginated list of all locations
      operationId: getAllLocations
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
        - name: locationSearchModel
          in: query
          schema:
            type: object
            properties:
              locationNums:
                description: >-
                  To query location based on a single or multiple location
                  numbers. For multiple location numbers, add comma separated
                  values.
                type: string
                example: 13,12,15
              locationTypes:
                description: >-
                  To query location based on single or multiple location types.
                  For multiple location types, add comma separated values.
                type: string
                example: warehouse, pickup
        - name: paginationModel
          in: query
          schema:
            description: >-
              Pagination object represents the process of separating data into
              different pages
            type: object
            properties:
              total:
                description: Total number of location records
                type: integer
                format: int64
                example: 1
              limit:
                description: Number of records returned on a single page
                minimum: 1
                type: integer
                format: int32
                example: 1
              offset:
                description: >-
                  Number of records skipped before selecting the records,
                  default is `zero`
                minimum: 1
                type: integer
                format: int32
                example: 0
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                description: Paginated location details
                type: object
                properties:
                  locations:
                    type: array
                    items:
                      description: This object contains location details
                      type: object
                      properties:
                        attributes:
                          description: Location attribute object
                          type: object
                          example:
                            isReturns: true
                        id:
                          description: Unique location identifier
                          type: string
                          example: 622fae9a065d9e62a4029f79
                        locationNum:
                          description: Unique number to identify the location
                          type: integer
                          format: int32
                          example: 13
                        name:
                          description: Location name
                          type: string
                          example: CA
                        isActive:
                          description: >-
                            true indicates location is active<br />false
                            indicates location is inactive.
                          type: boolean
                          example: true
                        address:
                          description: Location address details
                          type: object
                          properties:
                            addressLine1:
                              description: Address line 1
                              type: string
                              example: 2800 Ashcraft Court
                            addressLine2:
                              description: Address line 2
                              type: string
                              example: Fairview road
                            addressLine3:
                              description: Address line 3
                              type: string
                              example: N 9 1/2 street
                            addressLine4:
                              description: Address line 4
                              type: string
                              example: Coronado school
                            city:
                              description: city
                              type: string
                              example: Coronado
                            state:
                              description: State name the location belongs to
                              type: string
                              example: California
                            country:
                              description: Country name of the location
                              type: string
                              example: USA
                            postalCode:
                              description: Postal code
                              type: string
                              example: 92118
                            type:
                              description: Address type
                              type: string
                              example: 2800 Ashcraft Court
                            contact:
                              description: Contact list
                              type: array
                              items:
                                description: Location contact details
                                type: object
                                properties:
                                  type:
                                    description: Contact type
                                    type: string
                                    example: Residence
                                  email:
                                    description: Email address of the location
                                    type: string
                                    example: mark@email.com
                                  phone:
                                    description: Phone list
                                    type: array
                                    items:
                                      description: Phone details
                                      type: object
                                      properties:
                                        number:
                                          type: string
                                          example: 555-555-5555
                                        type:
                                          type: string
                                          example: mobile
                                  name:
                                    description: >-
                                      Name object contains full name of the
                                      individual to contact, who reside in the
                                      location
                                    type: object
                                    properties:
                                      first:
                                        description: First name
                                        type: string
                                        example: John
                                      middle:
                                        description: Middle name
                                        type: string
                                        example: Mark
                                      last:
                                        description: Last name
                                        type: string
                                        example: Doe
                        type:
                          description: Location type
                          type: string
                          example: warehouse
                        createdAt:
                          description: Date on which the location is created
                          type: string
                          format: date-time
                        updatedAt:
                          description: Date on which the location is updated
                          type: string
                          format: date-time
                        operatingHours:
                          description: Operating hours of the location
                          type: array
                          items:
                            description: Operating hours of the location
                            type: object
                            properties:
                              day:
                                description: Day of the week
                                type: string
                                example: Monday
                              hours:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    open:
                                      description: Location opening time
                                      type: string
                                      example: '10:00'
                                    close:
                                      description: Location closing time
                                      type: string
                                      example: '16:00'
                                    type:
                                      description: operating type
                                      type: string
                                      enum:
                                        - OPEN
                                        - PICK_UP
                        coordinates:
                          description: >-
                            coordinate details of the location in Geo Json
                            format
                          type: object
                          properties:
                            type:
                              description: Coordinate type
                              type: string
                              example: Point
                            coordinates:
                              description: Coordinate list, x and y coordinates in degree
                              type: array
                              items:
                                type: number
                                format: double
                                example:
                                  - '-22.95239063733024'
                                  - '-43.21034257655916'
                        services:
                          description: >-
                            JSON attributes on which locations are allowed to
                            filter
                          type: object
                          example:
                            isCurbsidePickUp: false
                  pagination:
                    description: >-
                      Pagination object represents the process of separating
                      data into different pages
                    type: object
                    properties:
                      total:
                        description: Total number of location records
                        type: integer
                        format: int64
                        example: 1
                      limit:
                        description: Number of records returned on a single page
                        minimum: 1
                        type: integer
                        format: int32
                        example: 1
                      offset:
                        description: >-
                          Number of records skipped before selecting the
                          records, default is `zero`
                        minimum: 1
                        type: integer
                        format: int32
                        example: 0
        '400':
          description: Client Error
          content:
            application/json:
              schema:
                description: Client error details
                type: object
                properties:
                  message:
                    description: Human-readable error description
                    type: string
                    example: Invalid payload or parameter
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                description: Not-found error details
                type: object
                properties:
                  message:
                    description: Human-readable error description
                    type: string
                    example: >-
                      Resource not found. If the issue persists please contact
                      support@fabric.inc.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                description: Server error details
                type: object
                properties:
                  message:
                    description: Human-readable error description
                    type: string
                    example: >-
                      An internal error occurred. If the issue persists please
                      contact support@fabric.inc.
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````